{
  flake,
  lib,
  pkgs,
  ...
}: let
  configPath = ./config;
  assistantPath = import (configPath + /assistant);

  interfacePath = import (configPath + /interface) {
    inherit
      flake
      ;
  };
  languagesPath = import (configPath + /languages);
  lspPath = import (configPath + /lsp);
  terminalPath = import (configPath + /terminal) {
    inherit
      flake
      ;
  };
  gitPath = import (configPath + /git);
in
  {
    assistant = assistantPath;
    git = gitPath;
    languages = languagesPath;
    lsp = lspPath;
    terminal = terminalPath;

    node = {
      path = lib.getExe pkgs.nodejs;
      npm_path = lib.getExe' pkgs.nodejs "npm";
    };
    auto_update = false;
    autosave_after_delay = 20;
    load_direnv = "shell_hook";
    base_keymap = "VSCode";
    restore_on_startup = "last_session";
  }
  // interfacePath
